/****************************************************************************
 Title  :   Allgemeines Testprg
 Author:    Volker Kattoll
 Date:      22/11/2003
 Software:  AVR-GCC with AVR-AS
 Target:    AVR Mega32
 Comments:

*****************************************************************************/
#include "test.h"


#include "lcd_io.h"
//wird bentigt !! Ohne werden keine Interrupts verarbeitet ka031026
#include <avr/interrupt.h>
#include <avr/signal.h>

//---------------- Software-Switches -----------------------
//         0 = Aus,  1 = Ein
#define IRQ0        0
// Schalter haben hier keinen Einfluss auf eine Steuerung in den Headerdateien
#define DCF77       1

//	...

//--------------- Module -----------------------------------
#include "delay.h"

#include "dcf.h"

#include "irq.h"

#include "strg_form.h"

//----------------------------------------------------------

// ---------- Eigene Variablen die im Prg genutzt werden ----------------
#define PrgVers "0.2o"
#define PrgDate "06.12.03"
static  unsigned char prog_vers1[]__attribute__((section(".eeprom")))={" Program - Version  "};
static  unsigned char prog_vers2[]__attribute__((section(".eeprom")))={"Vers: "PrgVers" "PrgDate};

//			...

// Fr grosse DCF-Anzeige


//  Hier werden  4 Char-Arrays im EEProm angelegt.

//			...

static  unsigned char z2s1[]__attribute__((section(".eeprom")))={" 00 "};
static  unsigned char z2s2[]__attribute__((section(".eeprom")))={"0  0"};
static  unsigned char z2s3[]__attribute__((section(".eeprom")))={"  0"};
static  unsigned char z2s4[]__attribute__((section(".eeprom")))={"0000"};

//			...

//	Pointer auf die Anfangs-Adressen der einzelnen Zeilen im EEProm
static const unsigned char* z2[4]__attribute__((progmem)) = { z2s1, z2s2, z2s3, z2s4};

//			...


/*######################################################################################################*/
/*######################################################################################################*/

void show_dcf_big(void)
{
	volatile uint8_t L;
	unsigned char p1;

	unsigned char* p2;
	unsigned char* p3;
	unsigned char* p4;
	int L1;
	volatile uint8_t versatz;
	versatz = 0;

        	L = 0;
			for (L = 0; L < 5; L ++)
			{
	            // Diese Zeile liefert einen Pointer ber z2[1] auf den String z2s2 zurck
//---> ist IO
		        p1 = z2[1];
				// Wenn L = 1, so sollte diese Zeile ein identisches Ergebnis liefern
				// das macht sie aber nicht.
				// Warum?
//---> funktioniert nicht
	            p1 = (z2[(int)L]);
				lcd_gotoxy(versatz, L);
			    lcd_puts_e(p1);			
		    };
};

/*######################################################################################################*/
/*######################################################################################################*/